str1 = input("Inserire la prima stringa: ")
str2 = input("Inserire la seconda stringa: ")

pos = 0

for ch in str1:
    lettera = str2.find(ch, pos)

    if lettera == -1:
        print("No")
        break
    pos = lettera + 1
else:
    print("Si")
    